<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: anniversary_panel.php
| Author: Adi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;
$locale = fusion_get_locale('', UWWW_LOCALE);
$settings = get_settings('anniversary_panel');
echo "<style>
.tabelau {
   border: " . $settings['border_tableu'] . "px solid " . $settings['bordercolor_tableu'] . ";
   border-collapse: collapse;
   background-color: " . $settings['color_tableu'] . ";
}
.dzienu {
    color: " . $settings['color_dzienu'] . ";
    font-family: Verdana,Arial,Helvetica,sans-serif;
    font-size: " . $settings['size_dzienu'] . "px;
    font-weight: bold;
}

.textu {
    color: " . $settings['color_textu'] . ";
    font-family: Verdana,Arial,Helvetica,sans-serif;
    font-size: " . $settings['size_textu'] . "px;
    font-weight: bold;
}

.textucd {
  color: " . $settings['color_textucd'] . ";
  font-family: Verdana,Arial,Helvetica,sans-serif;
  font-size: " . $settings['size_textucd'] . "px;
  font-weight: bold;
}

.textuna {
  color: " . $settings['color_textuna'] . ";
  font-family: Verdana,Arial,Helvetica,sans-serif;
  font-size: " . $settings['size_textuna'] . "px;
  font-weight: bold;
}
</style>";

if ($settings['datau_miesiac'] == 1) {
  $M = $locale['uwww_901'];
}
if ($settings['datau_miesiac'] == 2) {
  $M = $locale['uwww_902'];
}
if ($settings['datau_miesiac'] == 3) {
  $M = $locale['uwww_903'];
}
if ($settings['datau_miesiac'] == 4) {
  $M = $locale['uwww_904'];
}
if ($settings['datau_miesiac'] == 5) {
  $M = $locale['uwww_905'];
}
if ($settings['datau_miesiac'] == 6) {
  $M = $locale['uwww_906'];
}
if ($settings['datau_miesiac'] == 7) {
  $M = $locale['uwww_907'];
}
if ($settings['datau_miesiac'] == 8) {
  $M = $locale['uwww_908'];
}
if ($settings['datau_miesiac'] == 9) {
  $M = $locale['uwww_909'];
}
if ($settings['datau_miesiac'] == 10) {
  $M = $locale['uwww_910'];
}
if ($settings['datau_miesiac'] == 11) {
  $M = $locale['uwww_911'];
}
if ($settings['datau_miesiac'] == 12) {
  $M = $locale["uwww_912"];
}

$teraz = gmmktime(0, 0, 0, gmDate('m'), gmDate('d'), gmDate('Y'));
$dzien = gmmktime(0, 0, 0, $settings['datau_miesiac'], $settings['datau_dzien'], $settings['datau_rok']);
$przestepny = date('L');
if ($przestepny == 1) {
  $dnip = 366;
} else {
  $dnip = 365;
}

$sekund = abs($teraz - $dzien);
$minut = (int)($sekund / 60);
$godzin = (int)($minut / 60);
$dni = (int)($godzin / 24);
$lat = (int)($dni / $dnip);

$sekund = (int)($sekund - $minut * 60);
$minut = (int)($minut - $godzin * 60);
$godzin = (int)($godzin - $dni * 24);
$dni = (int)($dni - $lat * $dnip);
$dni_do = (int)($dnip - $dni);

if ($lat < 1) {
  $L = 'Lat';
}
if ($lat > 0 and $lat < 2) {
  $L = 'Rok';
}
if ($lat > 1 and $lat < 5) {
  $L = 'Lata';
}
if ($lat > 4) {
  $L = 'Lat';
}
if ($dni == 0) {
  $D = 'Dni';
}
if ($dni == 1) {
  $D = 'Dzień';
}
if ($dni > 1) {
  $D = 'Dni';
}
if ($dni_do == 0) {
  $D1 = 'Dni';
}
if ($dni_do == 1) {
  $D1 = 'Dzień';
}
if ($dni_do > 1) {
  $D1 = 'Dni';
}

opentable('');
if ($dzien > $teraz) {
  echo '<table class="tabelau" width="100%">';
  echo '<td align="center">';
  echo '<b>' . $locale['anniversary_error_data1'] . '</b><br>';
  echo '<span class="textucd">' . date('d m Y') . '</span><br>';
  echo "<img src='" . INFUSIONS . "anniversary_panel/stop.svg' width='50'  height='50' border='0'><br>";
  echo '<b>' . $locale['anniversary_error_data2'] . '</b><br>';
  echo '<span class="textucd">' . $settings['datau_dzien'] . ' ' . $settings['datau_miesiac'] . ' ' . $settings['datau_rok'] . '</span>';
  echo '</td></tr>';
  echo "</table>";
} else {
  echo '<table class="tabelau" width="100%">';
  echo '<tr><td align="center">';
  echo '<span class="textuna">' . $settings['tresc_textuna'] . '</span><br><span class="textucd">' . $settings['datau_dzien'] . ' ' . $M . ' ' . $settings['datau_rok'] . '</span>';
  echo '</td></tr>';
  echo '<tr><td align="center">';
  echo '<span class="textu">' . $settings['tresc_textu1'] . ' </span><span class="dzienu">' . $lat . '</span><span class="textu"> ' . $L . '</span><span class="dzienu"> ' . $dni . '</span><span class="textu"> ' . $D . '</span>';
  echo '</td></tr>';
  echo '</td></tr>';
  echo '<tr><td align="center">';
  if ($settings['datau_miesiac'] == gmDate('m') and $settings['datau_dzien'] == gmDate('d')) {
    echo "<img src='" . INFUSIONS . "anniversary_panel/anniversary.svg' width='" . $settings['size_tort'] . "' border='0'>";
  } else {
    echo '';
  }
  echo '</td></tr>';
  echo '<tr><td align="center">';
  echo '<span class="textu">' . $locale['uwww_20'] . ' </span><span class="dzienu">' . $lat + 1 . ' </span><span class="textu"> ' . $settings['tresc_textu2'] . ' </span><span class="dzienu">' . $dni_do . '</span><span class="textu"> ' . $D1 . '</span>';
  echo '</td></tr>';
  echo "</table>";
}
closetable();
